Skip to content

List queue slots

GET
/queue
curl --request GET \
--url https://postflow.biz.id/api/v1/queue \
--header 'Authorization: Bearer <token>'

Weekly posting times, plus suggestions and a heat map from past engagement.

MCP tool: get_queue.

OK

Media typeapplication/json
object
slots
required
Array<object>
object
weekday
required

0 = Sunday

integer
time
required

HH:MM, workspace time zone

string
suggestions
required

From this workspace’s engagement; empty until there’s enough data.

Array<object>
object
weekday
required
integer
time
required
string
reason
required
string
heat
required
Array<object>
object
weekday
required
integer
hour
required
integer
score
required

1 = best

number
posts
required
integer

Example generated

{
"slots": [
{
"weekday": 1,
"time": "example"
}
],
"suggestions": [
{
"weekday": 1,
"time": "example",
"reason": "example"
}
],
"heat": [
{
"weekday": 1,
"hour": 1,
"score": 1,
"posts": 1
}
]
}

Missing, invalid, expired or deleted key or token.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: UNAUTHENTICATED FORBIDDEN NOT_FOUND VALIDATION CONFLICT SUBSCRIPTION_GRACE SUBSCRIPTION_EXPIRED PLAN_LIMIT RATE_LIMITED INTERNAL
message
required

A sentence you can show to a person.

string
details

Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.

Example

{
"error": {
"code": "UNAUTHENTICATED"
}
}

More than 120 requests in a minute with this key.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: UNAUTHENTICATED FORBIDDEN NOT_FOUND VALIDATION CONFLICT SUBSCRIPTION_GRACE SUBSCRIPTION_EXPIRED PLAN_LIMIT RATE_LIMITED INTERNAL
message
required

A sentence you can show to a person.

string
details

Field errors ({ field: [messages] }), or preflight: per-account rule violations with an issue code.

Example

{
"error": {
"code": "UNAUTHENTICATED"
}
}